import { SubmitFeeItemModel } from "@/api/feeItem/FeeItemModle"
import { EditType } from "@/type/BaseEnum"
import { ref } from "vue"
import { addFeeItemApi, editFeeItemApi, deleteFeeItemApi } from "@/api/feeItem/FeeItem"
import { Result } from "@/http/request"
import useInstance from "@/hooks/useInstance"
import { formatDateTime } from "@/utils/dateFormate"
export default function userFeeItem(getFeeItemList) {
    const { global } = useInstance();
    //定义弹框的 ref属性
    const adFeeItemRef = ref<{ show: (type: string, row?: SubmitFeeItemModel) => void }>()
    //新增
    const addBtn = () => {
        adFeeItemRef.value?.show(EditType.ADD)
    }
    //编辑
    const editBtn = (row: SubmitFeeItemModel) => {
        adFeeItemRef.value?.show(EditType.EDIT, row)
    }
    //删除
    const deleteBtn = async (id: number) => {
        let parm = {
            id: id
        }
        //信息确认
        let confirm = await global.$myconfirm('确定删除该数据吗?')
        if (confirm) {
            let res = await deleteFeeItemApi(parm)
            if (res && res.code == 200) {
                //信息提示
                global.$message({ message: res.msg, type: 'success' })
                //刷新表格
                getFeeItemList();

            }
        }
    }
    //保存
    const save = async (parm: SubmitFeeItemModel) => {
        let res: Result;
        if (parm.type == EditType.ADD) {
            res = await addFeeItemApi(parm)
        } else {
            res = await editFeeItemApi(parm)
        }
        if (res && res.code == 200) {
            //信息提示
            global.$message({ message: res.msg, type: 'success' })
            //刷新表格
            getFeeItemList();
        }
    }

    return {
        addBtn,
        editBtn,
        deleteBtn,
        save,
        adFeeItemRef,
    }
}